Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.jpd
Enum EbXML.PROTOCOL

    java.lang.Object
      java.lang.Enum<EbXML.PROTOCOL>
          com.bea.wli.jpd.EbXML.PROTOCOL

All Implemented Interfaces:
  Serializable, Comparable<EbXML.PROTOCOL>

Enclosing class:
  EbXML

    public static enum EbXML.PROTOCOL

extends Enum<EbXML.PROTOCOL>

Enum Constant Summary
`ebXML`

Method Summary
`static EbXML.PROTOCOL` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EbXML.PROTOCOL[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ebXML

    public static final EbXML.PROTOCOL ebXML

Method Detail

### values

    public static final EbXML.PROTOCOL[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EbXML.PROTOCOL c : EbXML.PROTOCOL.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EbXML.PROTOCOL valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD